using System.Net;
using System.Net.Http;
using System.Web.Http;

namespace CompControl.SapFrameworkConnector
{
    [RoutePrefix("api/service")]
    public class ServiceController : ApiController
    {
        private static readonly log4net.ILog _log = log4net.LogManager.GetLogger(System.Reflection.MethodBase.GetCurrentMethod().DeclaringType);

        #region Ping
        // GET api/service/ping
        [Route("ping")]
        [HttpGet]
        public HttpResponseMessage Ping()
        {
            return Request.CreateResponse(HttpStatusCode.OK, true);
        }
        #endregion
    }
}
